> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Volume Chart by ID

> This endpoint allows you to **query the historical volume chart data with time in UNIX and trading volume data in BTC based on exchange's ID**

<Note>
  ### Note

  * You can use this endpoint to query the historical volume chart data of **derivatives exchanges** as well.
  * The exchange volume in the response is provided in BTC. To convert it to other currencies, please use [/exchange\_rates](/v3.0.1/reference/exchange-rates) endpoint.
  * Data granularity is automatic (cannot be adjusted):
    * 1 day = 10-minutely
    * 7, 14 days = hourly
    * 30 days & above = daily
  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /exchanges/{id}/volume_chart
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges/{id}/volume_chart:
    get:
      tags:
        - Exchanges
      summary: Exchange Volume Chart by ID
      description: >-
        This endpoint allows you to **query the historical volume chart data
        with time in UNIX and trading volume data in BTC based on exchange's
        ID**
      operationId: exchanges-id-volume-chart
      parameters:
        - name: id
          in: path
          description: |-
            exchange ID or derivatives exchange ID 
             *refers to [`/exchanges/list`](/v3.0.1/reference/exchanges-list) or [`/derivatives/exchanges/list`](/v3.0.1/reference/derivatives-exchanges-list).
          required: true
          schema:
            type: string
            default: binance
          examples:
            value-1:
              value: binance
            value-2:
              value: binance_futures
        - name: days
          in: query
          description: data up to number of days ago
          required: true
          schema:
            type: string
            enum:
              - '1'
              - '7'
              - '14'
              - '30'
              - '90'
              - '180'
              - '365'
      responses:
        '200':
          description: Get exchange volume chart data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeVolumeChart'
components:
  schemas:
    ExchangeVolumeChart:
      type: array
      items:
        type: array
        items:
          oneOf:
            - type: number
            - type: string
      example:
        - - 1711792200000
          - '306800.0517941023777005'
        - - 1711795800000
          - '302561.8185582217570913'
        - - 1711799400000
          - '298240.5127048246776691'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````